gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.SwitchAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype SwitchAccessible = SwitchAccessible (ManagedPtr SwitchAccessible)
- class (GObject o, IsDescendantOf SwitchAccessible o) => IsSwitchAccessible o
- toSwitchAccessible :: (MonadIO m, IsSwitchAccessible o) => o -> m SwitchAccessible

# Exported types

newtype SwitchAccessible Source #

Memory-managed wrapper type.

Constructors

SwitchAccessible (ManagedPtr SwitchAccessible) |

#### Instances

Instances details

Eq SwitchAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SwitchAccessible Methods (==) :: SwitchAccessible -> SwitchAccessible -> Bool Source # (/=) :: SwitchAccessible -> SwitchAccessible -> Bool Source #
GObject SwitchAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SwitchAccessible
ManagedPtrNewtype SwitchAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SwitchAccessible Methods toManagedPtr :: SwitchAccessible -> ManagedPtr SwitchAccessible Source #
TypedObject SwitchAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SwitchAccessible Methods glibType :: IO GType Source #
HasParentTypes SwitchAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SwitchAccessible
IsGValue (Maybe SwitchAccessible) Source # | Convert `SwitchAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.SwitchAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe SwitchAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe SwitchAccessible) Source #
type ParentTypes SwitchAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SwitchAccessible type ParentTypes SwitchAccessible = '[WidgetAccessible, Accessible, Object, Object, Action, Component]

class (GObject o, IsDescendantOf SwitchAccessible o) => IsSwitchAccessible o Source #

Type class for types which can be safely cast to `SwitchAccessible`, for instance with `toSwitchAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf SwitchAccessible o) => IsSwitchAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.SwitchAccessible

toSwitchAccessible :: (MonadIO m, IsSwitchAccessible o) => o -> m SwitchAccessible Source #

Cast to `SwitchAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.